serial

## Class Timeout

- java.lang.Object
- - serial.Timeout

    public final class Timeout
    extends java.lang.Object

Structure for setting the timeout of the serial port, times are in milliseconds. In order to disable the interbyte timeout, set it to `MAX`.

### Field Summary

Fields
`static int` `MAX` Value that represents interbyte timeout should be disabled.

### Constructor Summary

Constructors
Constructor and Description
`Timeout()`
`Timeout(int timeout)` Convenience function to generate Timeout structs using a single absolute timeout.
`Timeout(int inter_byte_timeout, int read_timeout_constant, int read_timeout_multiplier, int write_timeout_constant, int write_timeout_multiplier)`

### Method Summary

Methods
`static Timeout` `simpleTimeout(int timeout)` Convenience function to generate Timeout structs using a single absolute timeout.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX

    public static final int MAX

Value that represents interbyte timeout should be disabled. This is an unsigned value.

See Also:
  Constant Field Values

### Constructor Detail

#### Timeout

    public Timeout()

#### Timeout

    public Timeout(int timeout)

Convenience function to generate Timeout structs using a single absolute timeout.

Parameters:
  `timeout` - A long that defines the time in milliseconds until a timeout occurs after a call to read or write is made.

#### Timeout

    public Timeout(int inter_byte_timeout,
           int read_timeout_constant,
           int read_timeout_multiplier,
           int write_timeout_constant,
           int write_timeout_multiplier)

### Method Detail

#### simpleTimeout

    public static final Timeout simpleTimeout(int timeout)

Convenience function to generate Timeout structs using a single absolute timeout.

Parameters:
  `timeout` - A long that defines the time in milliseconds until a timeout occurs after a call to read or write is made.
Returns:
  Timeout struct that represents this simple timeout provided.